<?php
# Script by seg0ro http://mobilarts.ru
# Not for sale!!!

defined('_IN_JOHNCMS') or die('Error: restricted access');

$textl .= ' | Рейтинг';
require_once('../incfiles/head.php');

if (!$post || !$topic){
  echo functions::display_error('Отсутствует идентификатор сообщения или темы!<br /><a href="index.php">Форум</a>');
  require_once('../incfiles/end.php');
  exit;
}

if (!stristr($_SERVER['HTTP_REFERER'], 'rating')){
    $back = stristr($_SERVER['HTTP_REFERER'], $set['homeurl']) ? htmlspecialchars($_SERVER['HTTP_REFERER']).'#p'.$post : 'index.php?topic='.$topic;
}


if (!$user_id || $ban['1'] || $ban['11'] || $topicRes['close']){
  echo functions::display_error('У вас недостаточно прав для просмотра этой страницы!<br /><a href="'.$back.'">Назад</a>');
  require_once('../incfiles/end.php');
  exit;
}

$tree = array('<a href="index.php">Форум</a>', '<a href="index.php?topic='.$topic.'&amp;page='.$page.'">'.functions::checkout($topicRes['topicname']).'</a>', 'Рейтинг сообщения');
echo '<div class="phdr">'.functions::display_menu($tree).'</div>';

if ($topicRes['close'])
  $error = 'Тема закрыта!<br /><a href="'.$back.'">Назад</a>';

if ($postRes['user_id'] == $user_id)
  $error = 'За своё сообщение нельзя отдать голос!<br /><a href="'.$back.'">Назад</a>';

$check = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_posts_rating` WHERE `post` = '$post' AND `user_id` = '$user_id' "), 0);
if ($check)
  $error = 'Вы уже отдавали голос за это сообщение!<br /><a href="'.$back.'">Назад</a>';

if ((!isset($_GET['plus']) && !isset($_GET['minus'])) || (isset($_GET['plus']) && isset($_GET['minus'])))
  $error = 'Неверные данные!<br /><a href="index.php">Форум</a>';

if (!$error){
  
  mysql_query("INSERT INTO `forum_posts_rating` SET
  `post` = '$post',
  `user_id` = '$user_id'
  ");

  if (isset($_GET['plus'])){
    $rating = $postRes['rating'] + 1;
  }elseif(isset($_GET['minus'])){
    $rating = $postRes['rating'] - 1;
  }
  
  mysql_query("UPDATE `forum_posts` SET `rating` = '$rating' WHERE `post` = '$post' LIMIT 1 ");
  
  journal::addEntry($postRes['user_id'], 'Изменение рейтинга сообщения в теме: [url='.$set['homeurl'].'/forum/index.php?post='.$post.']'.$topicRes['topicname'].'[/url]');

  header ('Refresh:1; URL='.html_entity_decode($back));
  echo '<div class="gmenu">Ваш голос принят, спасибо!<br /><a href="'.$back.'">Далее</a></div>';
}else{
  echo functions::display_error($error);
}